Subject: bug#39413: 26.2; Emacs gets hung

From: chiaki-ishikawa-thunderbird-account <[email-masked]>
Date: Wed, 5 Feb 2020 10:11:56 +0900

On 2020/02/05 0:33, Eli Zaretskii wrote:
>> From: chiaki-ishikawa-thunderbird-account <[email-masked]>
>> Date: Tue, 4 Feb 2020 18:32:30 +0900
>>
>> I have been using emacs-26.2 for a while and noticed
>> a few lockups for the last few months.
>>
>> I had not seen emacs lockups for quite a while (I have used GNU Emacs
>> since 1[678] days.)
>>
>> The recent lockup occurred just yesterday while I was editing C++
>> source files. I was about to enter (or have entered) the second '/' to
>> start a comment and then '/' is not echoed back and emacs locked up.
> Please try the latest emacs-27 branch of the Emacs Git repository, it
> is quite possible that this problem was fixed there.  If not, we will
> appreciate a minimal example of a file and sequence of commands to
> type in order to reproduce the problem.
>
> Thanks.
>
Thank you for your reply.

As I mentioned it seemed to be related to garbage collection and is hard 
to reproduce.

I cannot say when the bug hits exactly. So far it seemed random and not 
everyday matter.

I will try emacs-27 instead.

Thank you again.

Happy Hacking (in the original good sense of the phrase).

Chiaki Ishikawa